summaryrefslogtreecommitdiff
path: root/dev-ruby/gnuplot/gnuplot-2.6.2-r2.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/gnuplot/gnuplot-2.6.2-r2.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/gnuplot/gnuplot-2.6.2-r2.ebuild')
-rw-r--r--dev-ruby/gnuplot/gnuplot-2.6.2-r2.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/gnuplot/gnuplot-2.6.2-r2.ebuild b/dev-ruby/gnuplot/gnuplot-2.6.2-r2.ebuild
new file mode 100644
index 000000000000..dc8731db9621
--- /dev/null
+++ b/dev-ruby/gnuplot/gnuplot-2.6.2-r2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="AUTHORS.txt ChangeLog README.textile"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Gnuplot drawing library - Ruby Bindings"
+HOMEPAGE="http://rgplot.rubyforge.org/"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+SLOT="0"
+
+RDEPEND+=" sci-visualization/gnuplot"
+
+all_ruby_prepare() {
+ # Existing metadata causes a crash in jruby, so use our own.
+ rm -f ../metadata || die "Unable to remove metadata."
+
+ sed -i -e 's/Config/RbConfig/' test/test_gnuplot.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ctest test_gnuplot.rb || die
+}